package org.jcon.df.edit.control.util;

import java.util.Vector;

/** This is the object that is used to
 *  transport data into and out of ComboBoxes
 * @author Joshua Marinacci
 */

public class ValueSelection {
  private String selected = null;
  private Vector list = new Vector();
  private int index = 0;

  public String getSelectedValue() {  return selected; }
  public void setSelectedValue(String selected) { this.selected = selected; }
  public int getSelectedIndex() { return index; }
  public void setSelectedIndex(int index) { this.index = index; }
  public Vector getList() { return (Vector)list.clone(); }
  public void setList(Vector list) { this.list = list; }
}
